summaryrefslogtreecommitdiffstats
path: root/bin/lvc.sh
diff options
context:
space:
mode:
authorPhilip Hands <phil@hands.com>2016-06-15 11:39:14 +0200
committerHolger Levsen <holger@layer-acht.org>2016-06-16 22:33:03 +0200
commit2f02f9d812e16a2290138255c848adf017fce8f2 (patch)
tree5c6b87403fe1cdf8dacd2f8d3c302960363310fc /bin/lvc.sh
parent1390a3b4be4af9c720bcb8d189b01d6560240b48 (diff)
downloadjenkins.debian.net-2f02f9d812e16a2290138255c848adf017fce8f2.tar.xz
lvc: do plumbing to kick off lvc when a pu branch created a new miniiso
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/lvc.sh')
-rwxr-xr-xbin/lvc.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/lvc.sh b/bin/lvc.sh
index 88dc3cc0..71aff242 100755
--- a/bin/lvc.sh
+++ b/bin/lvc.sh
@@ -11,6 +11,22 @@ common_init "$@"
# $1 = wget url/jigdo url
URL=$1 ; shift
+replace_origin_pu() {
+ PREFIX=$1 ; shift
+ BRANCH=$1 ; shift
+ expr "$BRANCH" : 'origin/pu/' >/dev/null || return 1
+ echo "${PREFIX}${BRANCH#origin/pu/}"
+}
+
+# if $URL is set to something that looks like a pu git branch, try to find the matching .iso
+if PU_ISO="$(replace_origin_pu "/srv/d-i/isos/mini-gtk-" $URL).iso" ; then
+ [ -f $PU_ISO ] || {
+ echo "looks like we're meant to be testing '$PU_ISO', but it's missing"
+ exit 1
+ }
+ URL=$PU_ISO
+fi
+
cleanup_all() {
find . -name \*.vlog.png -print0 | xargs -0 -r rm
echo "Trying to preserve last screenshot…"